<div class="signal-store-demo-container">
    <form class="form">
        <mat-form-field>
            <mat-label>First name</mat-label>
            <input #firstName matInput [value]="nameStore.firstName()" (input)="nameStore.setState({'firstName': firstName.value})">
        </mat-form-field>
        <mat-form-field>
            <mat-label>Last name</mat-label>
            <input #lastName matInput [value]="nameStore.lastName()" (input)="nameStore.setState({'lastName': lastName.value})">
        </mat-form-field>
    </form>

    <div class="button-container">
        <button mat-flat-button color="primary" (click)="nameStore.printStore()">PRINT STATE</button>
        <button mat-button color="warn" (click)="nameStore.resetStore()">RESET STATE</button>
    </div>

    <p class="computed-name">Full name: {{ nameStore.fullName() }}</p>
</div>
